package com.pixelized.shared.lwa.model.map

data class Map(
    val id: String,
    val name: String,
    val camera: Camera,
    val size: Size,
    val resources: List<Resource>,
) {
    data class Camera(
        val zoom: Float,
        val offsetX: Int,
        val offsetY: Int,
    )

    data class Size(
        val width: Int,
        val height: Int,
    )

    data class Resource(
        val id: String,
        val name: String,
        val uri: String,
    )
}
